Package org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util

# Class TelemetryGaugeMetric

java.lang.Object
org.eclipse.microprofile.fault.tolerance.tck.telemetryMetrics.util.TelemetryGaugeMetric

public class TelemetryGaugeMetric extends Object
Allows tests to get the value of a `Gauge<Long>` and compare it with a baseline.

Most methods on this class will treat a non-existent gauge as having a value of zero to allow implementations to lazily create metrics.

Most tests should use `TelemetryMetricGetter` to create instances of this class.

## Constructor Summary

Constructors
Constructor
Description
`TelemetryGaugeMetric(TelemetryMetricID metricId)`

## Method Summary

Modifier and Type
Method
Description
`void`
`baseline()`
Capture the current counter value for later comparison with `delta()`
`long`
`delta()`
Return the difference between the current value of the metric and the value when `baseline` was called.
`boolean`
`isPresent()`
`long`
`value()`
Get the counter value, or zero if the metric doesn't exist

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TelemetryGaugeMetric

public TelemetryGaugeMetric(TelemetryMetricID metricId)

## Method Details

### value

public long value()
Get the counter value, or zero if the metric doesn't exist

This method will not create the metric if it does not exist.

Returns:
  the counter value, or zero if the metric doesn't exist

### isPresent

public boolean isPresent()

### baseline

public void baseline()
Capture the current counter value for later comparison with `delta()`

This method will not create the metric if it does not exist.

### delta

public long delta()
Return the difference between the current value of the metric and the value when `baseline` was called.

Returns:
  the difference between the metric value and the baseline